/* 1415, Mon 6 May 96

   N_PLOT.H:  Globals for Nevil's simple plotting package

   Copyright (C) 1992-2002 by Nevil Brownlee,
   CAIDA | University of Auckland */

/*
 * $Log: n_plot.h,v $
 * Revision 1.1.1.2.2.7  2002/02/23 01:57:18  nevil
 * Moving srl examples to examples/ directory.  Modified examples/Makefile.in
 *
 * Revision 1.1.1.2.2.3  2000/06/06 03:38:09  nevil
 * Combine NEW_ATR with TCP_ATR, various bug fixes
 *
 * Revision 1.1.1.2  1999/10/03 21:06:15  nevil
 * *** empty log message ***
 *
 * Revision 1.1.1.1.2.1  1999/01/08 01:38:28  nevil
 * Distribution file for 4.3b7
 *
 * Revision 1.1.1.1  1998/11/16 03:57:27  nevil
 * Import of NeTraMet 4.3b3
 *
 * Revision 1.1.1.1  1998/11/16 03:22:00  nevil
 * Import of release 4.3b3
 *
 * Revision 1.1.1.1  1998/10/28 20:31:24  nevil
 * Import of NeTraMet 4.3b1
 *
 * Revision 1.1.3.2  1998/10/18 23:44:05  nevil
 * Added Nicolai's patches, some 'tidying up' of the source
 *
 * Revision 1.1.3.1  1998/10/13 02:48:18  nevil
 * Import of Nicolai's 4.2.2
 *
 * Revision 1.1.1.1  1998/08/24 12:09:28  nguba
 * NetraMet 4.2 Original Distribution
 *
 * Revision 1.3  1998/05/07 04:28:53  rtfm
 * Implement NetFlowMet, the Cisco NetFlow RTFM meter
 */

#ifndef _N_PLOT

void swindo(int minx,int lenx, int miny,int leny);
void dwindo(float minx,float maxx, float miny,float maxy);
void settrn(int t);

void plot_window(Widget pw, GC pgc);
void plot_device(Drawable d);

void movabs(int x,int y);
void drwabs(int x,int y);
void movrel(int x,int y);
void drwrel(int x,int y);

void vtostransform(int *ix,int *iy, float x,float y);

void movea(float x,float y);
void drawa(float x,float y);

int astwdt(char *a, int n);
void aoutst(char *a, int n);

void xaxis(float xpos,float ypos, float xint);
void yaxis(float xpos,float ypos, float yint);
void pltsym(int sym);

enum {  /* Transform codes */
   P_LIN_LIN, P_LOG_LIN, P_LIN_LOG, P_LOG_LOG
   };
enum {  /* Plot codes */
   P_MOVE, P_DRAW
   };
enum {  /* Plot symbols */
   P_DOT, P_DIAMOND, P_PLUS, P_SQUARE
   };

#define _N_PLOT
#endif
